import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/cart',
    name: 'Cart',
    component: () => import('@/views/Cart.vue')
  },
  {
    path: '/search',
    name: 'SearchProductView',
    component: () => import('@/views/SearchProductView')
  },
  {
    path: '/product',
    name: 'ProductByCategoryView',
    component: () => import('@/views/ProductByCategoryView')
  },
  {
    path: '/login',
    name: '/LoginPage',
    component: () => import('@/views/LoginPage')
  },
  {
    path: '/productInfo',
    name: 'ProductInfo',
    component: () => import('@/views/ProductDetails')
  },
  {
    path: '/register',
    name: 'RegisterUser',
    component: () => import('@/views/RegisterUser')
  },
  {
    path: '/checkout',
    name: 'Checkout',
    component: () => import('@/views/CheckoutView')
  },

]

const router = new VueRouter({
  routes,
  mode: 'history',
  scrollBehavior(to, from, savedPosition) {
    if(savedPosition) {
      return savedPosition
    } else {
      return {x: 0, y: 0}
    }
  }
})

export default router
