import axios from "axios";

export default {

    // vuex store script used to get and store categories and product in each category
    state: {
        categories: [],
        categoryProducts: [],
    },

    getters: {
        getAllCategories: state => {
            return state.categories
        },

        getCategoryProducts: state => {
            return state.categoryProducts
        },
    },

    actions: {
        getCategories({commit}){
            axios.get('http://localhost:8090/categories')
                .then(response => {commit('setCategories', response.data)})
        },

        getProductsByCategoryId({commit}, id) {
            axios.get('http://localhost:8090/products/' + id)
                .then(response => {commit('setProductsByCategoryId', response.data)})
        }
    },

    mutations: {
        setProductsByCategoryId (state, products) {
            state.categoryProducts = products
        },

        setCategories (state, categories) {
            state.categories = categories
        }
    }

}
