import axios from "axios";
export default {

    state: {
        aalesund: [],
        trondheim: [],
        oslo: []
    },


    getters: {
        getInventoryAalesund: state => {
            return state.aalesund
        },

        getInventoryTrondheim: state => {
            return state.trondheim
        },

        getInventoryOslo: state => {
            return state.oslo
        },

        aesInventory: state => (id) => {
            let qty = 0;
            for(let i = 0; i < state.aalesund.length; i++) {
                if(state.aalesund[i].product_id === id){
                    qty = state.aalesund[i].quantity;
                }
            }
            return qty;
        },

        trdInventory: state => (id) => {
            let qty = 0;
            for(let i = 0; i < state.trondheim.length; i++) {
                if(state.trondheim[i].product_id === id){
                    qty = state.trondheim[i].quantity;
                }
            }
            return qty;
        },

        oslInventory: state => (id) => {
            let qty = 0;
            for(let i = 0; i < state.oslo.length; i++) {
                if(state.oslo[i].product_id === id){
                    qty = state.oslo[i].quantity;
                }
            }
            return qty;
        },
    },


    actions: {
        getInventory({commit}) {
            axios.get('http://localhost:8091/inventory')
                .then(response => {commit('SET_INVENTORY_AES', response.data)}),

                axios.get('http://localhost:8092/inventory')
                    .then(response => {commit('SET_INVENTORY_TRD', response.data)}),

                axios.get('http://localhost:8093/inventory')
                    .then(response => {commit('SET_INVENTORY_OSL', response.data)})
        }
    },


    mutations: {
        SET_INVENTORY_AES (state, store) {
            state.aalesund = store
        },

        SET_INVENTORY_TRD (state, store) {
            state.trondheim = store
        },

        SET_INVENTORY_OSL (state, store) {
            state.oslo = store
        },

    }

}
