import axios from "axios";

export default {
    state:{
        reviews: []
    },

    getters: {
        // Returns array of [rating, product_id]
        getReviewsInOrder(state) {
            let reviews = []
            let rating = 0
            let count = 0
            let review = []

            for(let i = 0; i < state.reviews.length - 1; i++) {
                if( state.reviews[i].product.id === state.reviews[i+1].product.id) {
                    rating = rating + state.reviews[i].rating
                    count = count + 1
                } else {
                    if(rating > 0) {
                        review.push(Math.floor(rating/count))
                        review.push(state.reviews[i].product.id)
                        reviews.push(review)
                    }
                    rating = 0
                    count = 0
                    review = []
                }


            }

            reviews.sort().reverse()
            return reviews
        } // end of getReviews
    },

    actions: {
        getReviews ({commit}) {
            axios.get('http://localhost:8090/products/review')
                .then(res => { commit('getReviews', res.data) })
        },
    },

    mutations: {
        getReviews (state, reviews){
            state.reviews = reviews
        },
    }
}
