package com.bachelortask.warehouseapp.categories;

import com.bachelortask.warehouseapp.category.Category;
import com.bachelortask.warehouseapp.product.Product;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
public class Book extends Product {

    @Column(
            name = "isbn",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String ISBN;

    @Column(
            name = "author",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String author;

    @Column(
            name = "publisher",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String publisher;

    @Column(
            name = "edition",
            nullable = false,
            columnDefinition = "NUMERIC"
    )
    private Integer edition;

    public Book() {
    }


    public Book(String name, String description, String img, Double price,
                Category category, String ISBN, String author,
                String publisher, Integer edition) {
        super(name, description, img, price, category);
        this.ISBN = ISBN;
        this.author = author;
        this.publisher = publisher;
        this.edition = edition;
    }


    // GETTERS AND SETTERS ********************************************

    public String getISBN() {
        return ISBN;
    }

    public void setISBN(String ISBN) {
        this.ISBN = ISBN;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public Integer getEdition() {
        return edition;
    }

    public void setEdition(Integer edition) {
        this.edition = edition;
    }

}
