package com.bachelortask.warehouseapp.categories;

import com.bachelortask.warehouseapp.category.Category;
import com.bachelortask.warehouseapp.product.Product;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
public class Camera extends TechProduct {

    @Column(
            name = "megapixels",
            nullable = false,
            columnDefinition = "NUMERIC"
    )
    private double megapixels;

    @Column(
            name = "zoom",
            nullable = false,
            columnDefinition = "INTEGER"
    )
    private int zoom;


    public Camera() {
    }

    public Camera(String name, String description, String img, Double price,
                  Category category, String producer, String model, double megapixels, int zoom) {
        super(name, description, img, price, category, producer, model);
        this.megapixels = megapixels;
        this.zoom = zoom;
    }

    public double getMegapixles() {
        return megapixels;
    }

    public void setMegapixles(double megapixles) {
        this.megapixels = megapixels;
    }

    public int getZoom() {
        return zoom;
    }

    public void setZoom(int zoom) {
        this.zoom = zoom;
    }
}
