package com.bachelortask.warehouseapp.categories;

import com.bachelortask.warehouseapp.category.Category;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * RESTful API interface for all the different products categories in warehouse system.
 */
@RestController
public class CategoriesController {

    @Autowired
    private CategoriesService categoriesService;


    @PostMapping("/products/{categoryId}/addComputer")
    public void addComputer(@RequestBody Computer computer, @PathVariable Long categoryId) {
        computer.setCategory(new Category(categoryId, ""));
        categoriesService.addComputer(computer, categoryId);
    }

    @PostMapping("/products/{categoryId}/addCamera")
    public void addCamera(@RequestBody Camera camera, @PathVariable Long categoryId) {
        camera.setCategory(new Category(categoryId, ""));
        categoriesService.addCamera(camera, categoryId);
    }

    @PostMapping("/products/{categoryId}/addTV")
    public void addTV(@RequestBody TV tv, @PathVariable Long categoryId) {
        tv.setCategory(new Category(categoryId, ""));
        categoriesService.addTV(tv, categoryId);
    }

    @PostMapping("/products/{categoryId}/addBook")
    public void addBook(@RequestBody Book book, @PathVariable Long categoryId) {
        book.setCategory(new Category(categoryId, ""));
        categoriesService.addBook(book, categoryId);
    }
}