package com.bachelortask.warehouseapp.categories;

import com.bachelortask.warehouseapp.categories.repositories.BookRepository;
import com.bachelortask.warehouseapp.categories.repositories.CameraRepository;
import com.bachelortask.warehouseapp.categories.repositories.ComputerRepository;
import com.bachelortask.warehouseapp.categories.repositories.TVRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CategoriesService {
    @Autowired
    private ComputerRepository computerRepository;

    @Autowired
    private CameraRepository cameraRepository;

    @Autowired
    private TVRepository tvRepository;

    @Autowired
    private BookRepository bookRepository;

    /**
     * Add computer object via JPA repository to postgres database
     * @param computer object to add
     * @param categoryId int to tell which category the object belongs to
     */
    public void addComputer(Computer computer, Long categoryId) {
        computerRepository.save(computer);
    }

    /**
     * Add computer object via JPA repository to postgres database
     * @param camera object to add
     * @param categoryId int to tell which category the object belongs to
     */
    public void addCamera(Camera camera, Long categoryId) {
        cameraRepository.save(camera);
    }

    /**
     * Add computer object via JPA repository to postgres database
     * @param tv object to add
     * @param categoryId int to tell which category the object belongs to
     */
    public void addTV(TV tv, Long categoryId) {
        tvRepository.save(tv);
    }

    /**
     * Add computer object via JPA repository to postgres database
     * @param book object to add
     * @param categoryId int to tell which category the object belongs to
     */
    public void addBook(Book book, Long categoryId) {
        bookRepository.save(book);
    }

}
