package com.bachelortask.warehouseapp.categories;

import com.bachelortask.warehouseapp.category.Category;
import com.bachelortask.warehouseapp.product.Product;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;

@Entity
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
public abstract class TechProduct extends Product {
    @Column(
            name = "producer",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String producer;

    @Column(
            name = "model",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String model;

    public TechProduct() {
    }

    public TechProduct(String name, String description, String img, Double price,
                       Category category, String producer, String model) {
        super(name, description, img, price, category);
        this.producer = producer;
        this.model = model;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }
}
