package com.bachelortask.warehouseapp.category;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class CategoryController {

    @Autowired
    private CategoryService categoryService;

    /**
     * Returns list of all available categories
     *
     * @return
     */
    @RequestMapping("/categories")
    @CrossOrigin(origins = "http://localhost:8080")
    public List<Category> getCategories() {
        return categoryService.getCategories();
    }

    /**
     * Takes in Category object in json format and adds it as a new category in db
     *
     * @param category
     */
    @PostMapping("/categories/add")
    public void addCategory(@RequestBody Category category) {
        categoryService.addCategory(category);
    }

    // FUTURE WORK
    //TODO delete category
    //TODO change update category
}