package com.bachelortask.warehouseapp.category;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class CategoryService {

    @Autowired
    private CategoryRepository categoryRepository;

    /**
     * Gets all categories from db and is manipulated here before it is sent to
     * Controller
     *
     * @return
     */
    public List<Category> getCategories() {
        List<Category> categories = new ArrayList<>();
        categoryRepository.findAll().forEach(categories::add);
        return categories;
    }

    /**
     * Adds new category to database
     * @param category to add
     */
    public void addCategory(Category category) {
        categoryRepository.save(category);
    }
}
