package com.bachelortask.warehouseapp.fakedata;

import com.bachelortask.warehouseapp.product.Product;
import com.bachelortask.warehouseapp.review.Review;
import com.github.javafaker.Faker;

public class ReviewMaker {
    private Faker faker;

    public ReviewMaker(){
        faker = new Faker();
    }

    /**
     * returns review to prodcuts
     * @param product
     * @return
     */
    public Review makeReview(Product product){
        int rating = faker.number().numberBetween(1,6);
        String comment = getComment(rating);
        return new Review(rating,comment,product);
    }

    /**
     * returns rating comment
     * @param rating
     * @return
     */
    private String getComment(int rating) {
        String comment;
        switch(rating){
            case 1:
                comment = "Awful product";
                break;
            case 2:
                comment = "Not so good";
                break;
            case 3:
                comment = "Ok";
                break;
            case 4:
                comment = "Good product";
                break;
            case 5:
                comment = "Excellent product";
                break;
            default:
                comment = "No comment";
        }
        return comment;
    }
}
