package com.bachelortask.warehouseapp.fakedata;

import com.bachelortask.warehouseapp.user.Customer;
import com.github.javafaker.Faker;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class UserFactory {
    private Faker faker;
    private Random random;

    public UserFactory() {
        faker = new Faker();
        random = new Random();
    }

    /**
     * Returns random generated customer objects for testing purpose
     * @param numberOfUsers
     * @return
     */
    public List<Customer> makeUsers(int numberOfUsers) {
        List<Customer> users = new ArrayList<>();

        for (int i = 0; i < numberOfUsers; i++) {

            String email = faker.bothify("?????##??@gmail.com");
            String password = faker.regexify("[a-zA-Z1-9_!]{10}");

            String firstName = faker.name().firstName();
            String lastName = faker.name().lastName();

            String phone = faker.phoneNumber().cellPhone();
            String address = faker.address().fullAddress();
            int days = faker.random().nextInt(0, 1520);

            users.add(new Customer(email, password, firstName, lastName, phone, address, LocalDateTime.now().minusDays(days)));
        }

        return users;
    }

}
