package com.bachelortask.warehouseapp.order;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class OrderService {
    @Autowired
    private OrderRepository orderRepository;

    /**
     * Gets list of orders from database
     * @return
     */
    public List<Orders> getOrders() {
        List<Orders> orders = new ArrayList<>();
        orderRepository.findAll().forEach(orders::add);
        return orders;
    }

    /**
     * Gets list of orders based on customer id
     * @param customerId
     * @return
     */
    public List<Orders> getOrderByCustomerId(Long customerId) {
        return orderRepository.findOrdersByCustomerId(customerId);
    }

    /**
     * Persists orders object in database
     * @param orders
     */
    public void confirmOrder(Orders orders) {
        orderRepository.save(orders);
    }

    /**
     * Gets list of orders by product id
     * @param productId
     * @return
     */
    public List<Orders> getOrderByProductId(Long productId) {
        return orderRepository.findOrdersByProductId(productId);
    }


}
