package com.bachelortask.warehouseapp.review;

import com.bachelortask.warehouseapp.product.Product;

import javax.persistence.*;

import static javax.persistence.GenerationType.SEQUENCE;

@Entity
public class Review {
    @Id
    @SequenceGenerator(
            name = "review_sequence",
            sequenceName = "review_sequence",
            allocationSize = 1
    )
    @GeneratedValue(
            strategy = SEQUENCE,
            generator = "review_sequence"
    )
    private Long id;

    @Column(
            name = "rating",
            nullable = false,
            columnDefinition = "INTEGER"
    )
    private Integer rating;

    @Column(
            name = "comment",
            nullable = false,
            columnDefinition = "TEXT"
    )
    private String comment;

    @ManyToOne()
    @JoinColumn(name = "product_id")
    private Product product;

    public Review() {
    }

    public Review(Integer rating, String comment, Product product) {
        this.rating = rating;
        this.comment = comment;
        this.product = product;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getRating() {
        return rating;
    }

    public void setRating(Integer rating) {
        this.rating = rating;
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    @Override
    public String toString() {
        return "Review{" +
                "id=" + id +
                ", rating=" + rating +
                ", comment='" + comment + '\'' +
                ", product=" + product +
                '}';
    }
}
