package com.bachelortask.warehouseapp.review;

import com.bachelortask.warehouseapp.product.Product;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class ReviewController {

    @Autowired
    private ReviewService reviewService;

    /**
     * Get rating for product with id
     */

    @RequestMapping(value = "/products/review", method = RequestMethod.GET)
    @CrossOrigin(origins = "http://localhost:8080")
    public List<Review> getAllProductsReview() {
        return reviewService.getAllProductsReview();
    }

    /**
     * Returns review based on product id
     * @param productId
     * @return
     */
    @RequestMapping("/products/{productId}/review")
    @CrossOrigin(origins = "http://localhost:8080")
    public List<Review> getProductReview(@PathVariable Long productId) {
        return reviewService.getProductReview(productId);
    }

    /**
     * Adds review to product
     * @param review
     * @param productId
     */
    @PostMapping("/products/{productId}/addReview")
    @CrossOrigin(origins = "http://localhost:8080")
    public void addReviewToProductById(@RequestBody Review review, @PathVariable Long productId) {
        review.setProduct(new Product(productId));
        reviewService.addReviewToProductById(review, productId);
    }
}