package com.bachelortask.warehouseapp.review;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class ReviewService {

    @Autowired
    private ReviewRepository reviewRepository;

    /**
     * Gets list of reviews from database based on its id
     * @param productId
     * @return
     */
    public List<Review> getProductReview(Long productId) {
        return reviewRepository.findReviewByProductId(productId);
    }

    /**
     * Adds review to database for product based on its id
     * @param review
     * @param productId
     */
    public void addReviewToProductById(Review review, Long productId) {
        reviewRepository.save(review);
    }

    /**
     * Returns list of all reviews
     * @return
     */
    public List<Review> getAllProductsReview() {
        List<Review> reviews = new ArrayList<>();
        reviewRepository.findAll().forEach(reviews::add);
        return reviews;
    }
}