package com.bachelortask.warehouseapp.user;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Optional;

@RestController
public class CustomerController {
    @Autowired
    private CustomerService customerService;

    /**
     * Returns all customer from database
     * @return
     */
    @GetMapping ("/customer")
    @CrossOrigin(origins = "http://localhost:8080")
    public List<Customer> getCustomer() {
        return customerService.getCustomer();
    }

    /**
     * Returns customer based on id
     * @param customerId
     * @return
     */
    @RequestMapping("/customer/{customerId}")
    @CrossOrigin(origins = "http://localhost:8080")
    public Optional<Customer> getCustomerById(@PathVariable Long customerId) {
        return customerService.getCustomerById(customerId);
    }

    // FUTURE work to be done
    //TODO get customer info by id
    //TODO add new customer need all info

    /**
     * Add customer(user) object to database
     * @param user
     */
    @PostMapping("/customer/addUser")
    @CrossOrigin(origins = "http://localhost:8080")
    public void addUser(@RequestBody Customer user) {
        customerService.addUser(user);
    }

    /**
     * Returns customer if password matches
     *
     * @param email
     * @param password
     * @return
     */
    @RequestMapping("/customer/login")
    @CrossOrigin(origins = "http://localhost:8080")
    public Optional<Customer> login(@RequestParam("email") String email, @RequestParam("password") String password){
        return customerService.login(email, password);
    }
}